Bug 118507

Summary: editors/Openoffice.org-2 2.3.1/AMD64 does not show ODBC data sources defined by /usr/local/etc/odbc.ini (unixODBC)
Product: Ports & Packages Reporter: O. Hartmann <ohartmann>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description O. Hartmann 2007-12-09 11:00:02 UTC
Installing OpenOffice 2.3.1 from sources on a FreeBSD 7.0-BETA4/AMD64 box utilizing unixODBC for postgres-odbc, mysql-connector-odbc does not result in Openoffice 2.3.1 showing specified data sources when configured in /usr/local/etc/odbc.ini (drivers specified in odbcinst.ini). Neither does OO when using ~/.odbc.ini!
This strange behaviour is not present on FreeBSD 7.0-BETA4/i386 and OpenOffice 2.3.1 when compiled on a 32 Bit box.

I have two identical setups of FreeBSD 7.0-BETA4 and OpenOffice 2.3.1 on two boxes, the only difference between both is, one is AMD64 (pure 64 bit), the other 32 bit. On 32 bit OpenOffice works as expected and connects to a MySQL 5.0.47 server as well as to a PostgreSQL 8.2 server.

Fix: 

Not known, OO seems still not to be 64 bit clean :-(
How-To-Repeat: Install OO 2.3.1 on a pure 64 bit FreeBSD 7.0-BETA4 box and also install mysql-connector-odbc and postgresql-odbc both with options WITH_UNIXODBC (iODBC doesn't work properly with PostgreSQL!). Then try to configure  a data source in OO using the predefined sources taken from odbc.ini/~.odbc.ini. When the box shwoing the defined data sources will come up, you should realize that it is empty. this is not the case if you do the same procedure on a pure 32-Bit box (same OS, same OO, same ODBC driver constellation).
Comment 1 Edwin Groothuis freebsd_committer 2007-12-09 20:43:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=118507 

Date: Wed, 21 May 2008 11:07:04 +0200
Comment 2 Martin Wilke freebsd_committer 2009-05-17 10:07:36 UTC
State Changed
From-To: open->feedback

Could you please test if this issue still exists with an fresh ports 
tree and FreeBSD 7.2 or above? Thanks for your report.  - Martin
Comment 3 Martin Wilke freebsd_committer 2009-05-30 21:14:51 UTC
State Changed
From-To: feedback->closed

feedback timeout